using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Data;
using System.Data.SqlClient;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Velvet_Eyebrows
{
    /// <summary>
    /// Логика взаимодействия для Service.xaml
    /// </summary>
    public partial class Service : Window
    {
        public Service()
        {
            InitializeComponent();
            DgService.ItemsSource = Select("SELECT * FROM [dbo].[Service]").DefaultView;
        }

        public DataTable Select(string selectSQL)
        {
            DataTable dataTable = new DataTable("dataBase");
            SqlConnection sqlConnection = new SqlConnection("server=OLIMP_21;" + "Trusted_Connection=Yes;" + "DataBase=beauty_salon;");
            // открываем базу данных
            sqlConnection.Open();
            // создаём команду
            SqlCommand sqlCommand = sqlConnection.CreateCommand();
            // присваиваем команде текст
            sqlCommand.CommandText = selectSQL;
            // создаём обработчик
            SqlDataAdapter sqlDataAdapter = new SqlDataAdapter(sqlCommand);
            // возращаем таблицу с результатом
            sqlDataAdapter.Fill(dataTable);
            sqlDataAdapter.Update(dataTable);
            return dataTable;
        }

    }



}
